LibreOffice: AccessibleChartDocumentView Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
AccessibleChartDocumentView Service Reference

The AccessibleChartDocumentView service is supported by a Component that represents the view of a Chart document to provide an entry point to the document tree for accessibility. More...

`import <AccessibleChartDocumentView.idl;`

Inheritance diagram for AccessibleChartDocumentView:

## Exported Interfaces
interface | ::com::sun::star::accessibility::XAccessible
| Base interface for being accessible.
interface | ::com::sun::star::accessibility::XAccessibleContext
| Provide access to a Chart document's view.
interface | ::com::sun::star::accessibility::XAccessibleComponent
| Provide access to a Chart document's graphical representation.

## Additional Inherited Members
Public Member Functions inherited from XAccessible
XAccessibleContext | getAccessibleContext ()
| Returns the AccessibleContext associated with this object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XAccessibleContext
hyper | getAccessibleChildCount ()
| Return the number of children.
XAccessible | getAccessibleChild ([in] hyper i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object.
XAccessible | getAccessibleParent ()
| Returns the parent of this object.
hyper | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent.
short | getAccessibleRole ()
| Returns the role of this object.
string | getAccessibleDescription ()
| Returns the object's description.
string | getAccessibleName ()
| Return the object's localized name.
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object.
hyper | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object.
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component.
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds.
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point.
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object.
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent.
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates.
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box.
void | grabFocus ()
| Grabs the focus to this object.
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object.
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object.

## Detailed Description

The AccessibleChartDocumentView service is supported by a Component that represents the view of a Chart document to provide an entry point to the document tree for accessibility.

An object that implements the AccessibleChartDocumentView service provides information about itself and about the chart subcomponents contained in the chart document displayed in a window. This service gives a simplified view on the underlying implementation. It tries both to keep the structure of the accessibility representation tree as simple as possible and provide as much relevant information as possible.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ::com::sun::star::accessibility::XAccessible

interface ::com::sun::star::accessibility::XAccessible

Base interface for being accessible.

It gives access to the com::sun::star::accessibility::XAccessibleContext interface.

## ◆ ::com::sun::star::accessibility::XAccessibleComponent

interface ::com::sun::star::accessibility::XAccessibleComponent

Provide access to a Chart document's graphical representation.

The main purpose of this interface is to provide a bounding box of the currently visible area and to let the user find the subcomponents of a chart that cover a given test point.

The accessible Chart subcomponents all support the service AccessibleChartElement

See also
  AccessibleChartElement

## ◆ ::com::sun::star::accessibility::XAccessibleContext

interface ::com::sun::star::accessibility::XAccessibleContext

Provide access to a Chart document's view.

You can access the following information:

Role
  The object's role is com::sun::star::accessibility::AccessibleRole::DOCUMENT.
Name
  Its name is the document's name or the base name of the filename if no document name has been set explicitly.
Description
  The description is the document's description or the full filename if no description has been set explicitly.
Children
  The subcomponents of a chart. This includes all kinds of titles, a legend and the diagram. The diagram and the legend are the only children that themselves contain children. The Chart subcomponents support the service AccessibleChartElement. Additionally, there may be shapes a user added via the clipboard. For details see the com::sun::star::drawing::AccessibleShape.
Parent
  The parent will usually be the window that contains the Chart document view. It has to be set via implementation dependent ways.
Relations
  At the moment relations are not supported. The method com::sun::star::accessibility::XAccessibleContext::getAccessibleRelationSet() will always return an empty set.
States
  The following states are supported:
  - com::sun::star::accessibility::AccessibleStateType::DEFUNC is set if a document view becomes obsolete like when the window, which displays the view, is closed.
  - com::sun::star::accessibility::AccessibleStateType::ENABLED is always set unless the com::sun::star::accessibility::AccessibleStateType::DEFUNC state is set.
  - com::sun::star::accessibility::AccessibleStateType::OPAQUE is always set.
  - com::sun::star::accessibility::AccessibleStateType::SHOWING is always set unless the com::sun::star::accessibility::AccessibleStateType::DEFUNC state is set.
  - com::sun::star::accessibility::AccessibleStateType::VISIBLE is always set unless the com::sun::star::accessibility::AccessibleStateType::DEFUNC state is set.
Locale
  Is the locale set at the document.
Property change listeners
  They are supported to inform the listeners about changes in this object.

The documentation for this service was generated from the following file:

- com/sun/star/chart/AccessibleChartDocumentView.idl